# PowerShell Remote Protocol (PSRP) for Ruby

This is a library the leverages the work done in WinRM for Ruby

Currently limited to Secure NTLM negotiation. Hopefully this work will be able to get merged into that library and we can just use that gem instead.

## Install
` gem install -r psrp`

## Example
```ruby
require 'psrp'
endpoint = 'http://192.168.142.231:5985/wsman'
psrp = PSRP::PSRPService.new(endpoint, :user => 'some-user', :pass => 'somepassword')
puts psrp.run_ps('systeminfo')
```
